##
##  xml2rfc.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_tool    1.36
%define       V_library 20091123

#   package information
Name:         xml2rfc
Summary:      Request For Comment (RFC) Authoring with XML
URL:          http://xml.resource.org/
Vendor:       Marshall T. Rose
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        XML
License:      Open Source
Version:      %{V_tool}
Release:      20110327

#   list of sources
Source0:      http://xml.resource.org/authoring/xml2rfc-%{V_tool}.tgz
Source1:      http://download.openpkg.org/components/versioned/xml2rfc/bibxml-%{V_library}.tgz
Source2:      http://download.openpkg.org/components/versioned/xml2rfc/bibxml2-%{V_library}.tgz
Source3:      http://download.openpkg.org/components/versioned/xml2rfc/bibxml3-%{V_library}.tgz
Source4:      http://download.openpkg.org/components/versioned/xml2rfc/bibxml4-%{V_library}.tgz
Source5:      http://download.openpkg.org/components/versioned/xml2rfc/bibxml5-%{V_library}.tgz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101, tcl

%description
    A handy little tool, xml2rfc, will allow you to take your XML
    source (using the format defined in RFC 2629) and see how the
    results look like in the original ASCII look-and-feel or the new
    modern HTML rendition of that look-and-feel.

%track
    prog xml2rfc = {
        version   = %{V_tool}
        url       = http://xml.resource.org/authoring/
        regex     = xml2rfc-(\d+\.\d+)\.tgz
    }
    prog xml2rfc:library = {
        version   = %{V_library}
        url       = http://download.openpkg.org/components/versioned/xml2rfc/
        regex     = bibxml-(\d+)\.tgz
    }

%prep
    %setup -q

%build
    sed <xml2rfc.tcl >xml2rfc \
        -e 's;exec wish;exec %{l_prefix}/bin/tclsh;g' \
        -e 's;exec tclsh;exec %{l_prefix}/bin/tclsh;g' \
        -e '7s;^.*;set env(XML_LIBRARY) {%{l_prefix}/share/xml2rfc/reference};'

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/share/xml2rfc/reference
    %{l_shtool} install -c -m 755 \
        xml2rfc $RPM_BUILD_ROOT%{l_prefix}/bin/xml2rfc
    %{l_shtool} install -c -m 644 \
        rfc2629.* draft-mrose-writing-rfcs.* \
        $RPM_BUILD_ROOT%{l_prefix}/share/xml2rfc/
    ( cd $RPM_BUILD_ROOT%{l_prefix}/share/xml2rfc/reference/
      %{l_gzip} -d <%{SOURCE1} | %{l_tar} xf -
      %{l_gzip} -d <%{SOURCE2} | %{l_tar} xf -
      %{l_gzip} -d <%{SOURCE3} | %{l_tar} xf -
      %{l_gzip} -d <%{SOURCE4} | %{l_tar} xf -
      %{l_gzip} -d <%{SOURCE5} | %{l_tar} xf -
      rm -f .htaccess browse.html index.xml
    ) || exit $?
    mv "$RPM_BUILD_ROOT%{l_prefix}/share/xml2rfc/reference/reference.I-D.lee-pce-wson-routing and wavelength.xml" \
       "$RPM_BUILD_ROOT%{l_prefix}/share/xml2rfc/reference/reference.I-D.lee-pce-wson-routing-and-wavelength.xml"
    mv "$RPM_BUILD_ROOT%{l_prefix}/share/xml2rfc/reference/reference.I-D.draft-lee-pce-wson-routing and wavelength-00.xml" \
       "$RPM_BUILD_ROOT%{l_prefix}/share/xml2rfc/reference/reference.I-D.draft-lee-pce-wson-routing-and-wavelength-00.xml"
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

